doctype html
html(lang="fr")
  include includes/head.pug
  body(class="edit")

    -function prettyDate(dateString){
      -let dateObj = new Date(dateString);
      -let day = String(dateObj.getDate()).padStart(2, '0');
      -let month = ('0' + (dateObj.getMonth() + 1)).slice(-2);
      -let year = dateObj.getFullYear();
      -return year + "-" + month + "-" + day;
    -}

    main(class="container flex flex-col justify-center items-center")
      h1(class="mb-2") Modification

      div(class="w-full")
        form(action="", method="post")
          label(for="name") Que dois-je faire ?
          input(type="text", name="name", id="name" value="" + todo.name, required)
          label(for="category") Dans quelle catégorie ?
          input(type="text", name="category", id="category" value="" + todo.category)
          input(type="date", name="date", id="date", value="" + prettyDate(todo.date))
          input(type="submit")
    include includes/footer.pug